Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Arrow Class Reference

A GtkArrow C++ wrapper class. More...

`#include <inti/gtk/arrow.h>`

Inheritance diagram for Inti::Gtk::Arrow:

List of all members.

## Public Member Functions

Constructors

- Arrow ()
    Construct an Arrow with the arrow type ARROW_RIGHT and the shadow type SHADOW_OUT.
- Arrow (ArrowType arrow_type, ShadowType shadow_type)
    Construct an Arrow with the specified direction and style.
- virtual ~Arrow ()
    Destructor.

Accessors

- GtkArrow * gtk_arrow () const
    Get a pointer to the GtkArrow structure.
- GtkArrowClass * gtk_arrow_class () const
    Get a pointer to the GtkArrowClass structure.
- operator GtkArrow * () const
    Conversion operator; safely converts an Arrow to a GtkArrow pointer.

Methods

- void set (ArrowType arrow_type, ShadowType shadow_type)
    Sets the direction and style of the Arrow.

Property Proxies

- const ArrowTypePropertyProxy prop_arrow_type ()
    The direction the arrow should point (ArrowType : Read / Write).
- const ShadowTypePropertyProxy prop_shadow_type ()
    Appearance of the shadow surrounding the arrow (ShadowType : Read / Write).

## Protected Member Functions

Constructors

- Arrow (GtkArrow *arrow, bool reference=false)
    Construct a new Arrow from an existing GtkArrow.

## Detailed Description

A GtkArrow C++ wrapper class.

Arrow should be used to draw simple arrows that need to point in one of the four cardinal directions (up, down, left, or right). The style of the arrow can be one of shadow in, shadow out, etched in, or etched out.

Arrow will fill any space alloted to it, but since it is inherited from Misc, it can be padded and/or aligned, to fill exactly the space the programmer desires. The direction or style of an arrow can be changed after creation by using set().

## Constructor & Destructor Documentation

Inti::Gtk::Arrow::Arrow | ( | GtkArrow * | arrow,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new Arrow from an existing GtkArrow. Parameters:
  arrow | A pointer to a GtkArrow.
  reference | Set false if the initial reference count is floating, set true if it's not.
The arrow can be a newly created GtkArrow or an existing GtkArrow. (see G::Object::Object).

Inti::Gtk::Arrow::Arrow | ( | ArrowType | arrow_type,
|  | ShadowType | shadow_type
| ) |

  | Construct an Arrow with the specified direction and style. Parameters:
  arrow_type | The direction of the arrow, a valid ArrowType.
  shadow_type | The style of the arrow, a valid ShadowType.

## Member Function Documentation

void Inti::Gtk::Arrow::set | ( | ArrowType | arrow_type,
|  | ShadowType | shadow_type
| ) |

  | Sets the direction and style of the Arrow. Parameters:
  arrow_type | The direction of the arrow, a valid ArrowType.
  shadow_type | The style of the arrow, a valid ShadowType.

The documentation for this class was generated from the following file:

- arrow.h

Main Page - Footer